Skip to main content
`Ctrl`+`K`

# EPSPowerShiftType

The type of shift used in the Power iteration solver.

## Synopsis

    typedef enum { EPS_POWER_SHIFT_CONSTANT,
                   EPS_POWER_SHIFT_RAYLEIGH,
                   EPS_POWER_SHIFT_WILKINSON } EPSPowerShiftType;

## Values

- `EPS_POWER_SHIFT_CONSTANT` - constant shift

- `EPS_POWER_SHIFT_RAYLEIGH` - variable shift using Rayleigh quotient

- `EPS_POWER_SHIFT_WILKINSON` - variable shift using Wilkinson’s approach

## Note

Details of the three variants can be found in [Hernandez et al., 2005].

## References

[Her05]

V. Hernandez, J. E. Roman, A. Tomas, and V. Vidal. Single vector iteration methods in SLEPc. Technical Report STR-2, Universitat Politècnica de València, 2005. URL: https://slepc.upv.es/documentation.

## See Also

EPS: Eigenvalue Problem Solver, `EPSPowerSetShiftType()`, `EPSPowerGetShiftType()`

## Level

advanced

## Location

include/slepceps.h

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages